Get this org's OAuth app override for a provider type, if any
GET
/api/v1/providers/{type}/oauth-app
const url = 'https://api.yggy.tech/api/v1/providers/jira/oauth-app';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.yggy.tech/api/v1/providers/jira/oauth-app \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” type
required
string
Responses
Section titled “ Responses ”The org’s override (null when none is set), the redirect URI to register in the OAuth app, and how many live connections a credential change would affect
Media type application/json
object
override
required
object
type
required
string
clientId
required
string
instanceBaseUrl
required
string | null
createdAt
required
string
updatedAt
required
string
redirectUri
required
string
connectionCount
required
integer
Example generated
{ "override": { "type": "example", "clientId": "example", "instanceBaseUrl": "example", "createdAt": "example", "updatedAt": "example" }, "redirectUri": "example", "connectionCount": 1}Provider type doesn’t support OAuth, or no active organization
Media type application/json
object
success
required
boolean
error
required
object
message
required
string
code
required
string
details
Example
{ "success": false, "error": { "code": "INTERNAL_ERROR" }}Not authenticated
Media type application/json
object
success
required
boolean
error
required
object
message
required
string
code
required
string
details
Example
{ "success": false, "error": { "code": "INTERNAL_ERROR" }}